diff -uNr snort-2.1.2.orig/rc snort-2.0.5/rc
--- snort-2.1.2.orig/rc	Thu Jan  1 01:00:00 1970
+++ snort-2.1.2/rc	Mon Aug  5 03:53:56 2002
@@ -0,0 +1,162 @@
+#! /bin/sh
+# Copyright (c) 1995-2000 SuSE GmbH Nuernberg, Germany.
+#
+# Author: Kurt Garloff <feedback@suse.de>
+#
+# init.d/snort
+#
+#   and symbolic its link
+#
+# /sbin/rcsnort
+#
+# System startup script for the nessus backend nessusd
+#
+### BEGIN INIT INFO
+# Provides:     snort
+# Required-Start: $network pppoed
+# Required-Stop:
+# Default-Start:  2 3 5
+# Default-Stop:
+# Description:    snort packet-sniffer/logger
+### END INIT INFO
+
+# Source SuSE config
+. /etc/rc.config
+
+# Determine the base and follow a runlevel link name.
+base=${0##*/}
+link=${base#*[SK][0-9][0-9]}
+
+# Force execution if not called by a runlevel directory.
+test $link = $base && START_SNORT=yes
+test "$START_SNORT" = yes || exit 0
+
+SNORT_BIN=/usr/sbin/snort
+test -x $SNORT_BIN || exit 5
+
+# Shell functions sourced from /etc/rc.status:
+#      rc_check         check and set local and overall rc status
+#      rc_status        check and set local and overall rc status
+#      rc_status -v     ditto but be verbose in local rc status
+#      rc_status -v -r  ditto and clear the local rc status
+#      rc_failed        set local and overall rc status to failed
+#      rc_failed <num>  set local and overall rc status to <num><num>
+#      rc_reset         clear local rc status (overall remains)
+#      rc_exit          exit appropriate to overall rc status
+. /etc/rc.status
+
+# First reset status of this service
+rc_reset
+
+# Return values acc. to LSB for all commands but status:
+# 0 - success
+# 1 - generic or unspecified error
+# 2 - invalid or excess argument(s)
+# 3 - unimplemented feature (e.g. "reload")
+# 4 - insufficient privilege
+# 5 - program is not installed
+# 6 - program is not configured
+# 7 - program is not running
+# 
+# Note that starting an already running service, stopping
+# or restarting a not-running service as well as the restart
+# with force-reload (in case signalling is not supported) are
+# considered a success.
+
+case "$1" in
+    start)
+	echo -n "Starting snort"
+	## Start daemon with startproc(8). If this fails
+	## the echo return value is set appropriate.
+
+	# NOTE: startproc return 0, even if service is 
+	# already running to match LSB spec.
+	startproc $SNORT_BIN $SNORT_OPTS
+
+	# Remember status and be verbose
+	rc_status -v
+	;;
+    stop)
+	echo -n "Shutting down snort"
+	## Stop daemon with killproc(8) and if this fails
+	## set echo the echo return value.
+
+	killproc -TERM $SNORT_BIN
+
+	# Remember status and be verbose
+	rc_status -v
+	;;
+    try-restart)
+	## Stop the service and if this succeeds (i.e. the 
+	## service was running before), start it again.
+	## Note: try-restart is not (yet) part of LSB (as of 0.7.5)
+	$0 status >/dev/null &&  $0 restart
+
+	# Remember status and be quiet
+	rc_status
+	;;
+    restart)
+	## Stop the service and regardless of whether it was
+	## running or not, start it again.
+	$0 stop
+	$0 start
+
+	# Remember status and be quiet
+	rc_status
+	;;
+    force-reload)
+	## Signal the daemon to reload its config. Most daemons
+	## do this on signal 1 (SIGHUP).
+	## If it does not support it, restart.
+
+	echo -n "Reload service snort"
+	## if it supports it:
+	killproc -HUP $SNORT_BIN
+	#touch /var/run/snort.pid
+	rc_status -v
+
+	## Otherwise:
+	#$0 stop  &&  $0 start
+	#rc_status
+	;;
+    reload)
+	## Like force-reload, but if daemon does not support
+	## signalling, do nothing (!)
+
+	# If it supports signalling:
+	echo -n "Reload service snort"
+	killproc -HUP $SNORT_BIN
+	#touch /var/run/snort.pid
+	rc_status -v
+	
+	## Otherwise if it does not support reload:
+	#rc_failed 3
+	#rc_status -v
+	;;
+    status)
+	echo -n "Checking for snort: "
+	## Check status with checkproc(8), if process is running
+	## checkproc will return with exit status 0.
+
+	# Status has a slightly different for the status command:
+	# 0 - service running
+	# 1 - service dead, but /var/run/  pid  file exists
+	# 2 - service dead, but /var/lock/ lock file exists
+	# 3 - service not running
+
+	# NOTE: checkproc returns LSB compliant status values.
+	checkproc $SNORT_BIN
+	rc_status -v
+	;;
+    probe)
+	## Optional: Probe for the necessity of a reload,
+	## give out the argument which is required for a reload.
+
+	test /etc/snort/snort.conf -nt /var/run/snort.pid && echo reload
+	;;
+    *)
+	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+	exit 1
+	;;
+esac
+rc_exit
diff -uNr snort-2.1.2.orig/rc.config.snort snort-2.0.5/rc.config.snort
--- snort-2.1.2.orig/rc.config.snort	Thu Jan  1 01:00:00 1970
+++ snort-2.1.2/rc.config.snort	Mon Aug  5 03:53:38 2002
@@ -0,0 +1,5 @@
+#
+# Should the snort packet-sniffer/logger be started at bootup? (yes/no)
+#
+START_SNORT="no"
+SNORT_OPTS="-D -c /etc/snort/snort.conf"
